Package uk.ac.starlink.topcat.plot2

# Class ReportLogger

java.lang.Object
uk.ac.starlink.topcat.plot2.ReportLogger

public class ReportLogger extends Object
Accepts plot reports on behalf of a layer control and reports them through the logging system. This is not intended to be the primary way that this information is conveyed to the user, but it's a functional fallback/placeholder where a report submission GUI is not available.

Since:
  10 Dec 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ReportLogger(LayerControl control)`
Constructs a logger with a default logging level.
`ReportLogger(LayerControl control, Level level)`
Constructs a logger with an explicit logging level.

## Method Summary

Modifier and Type
Method
Description
`void`
`submitReports(Map<LayerId,uk.ac.starlink.ttools.plot2.ReportMap> reports, uk.ac.starlink.ttools.plot2.Ganger<?,?> ganger)`
Issues logging messages relating to the reports of plot layers generated with this object's layer control.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReportLogger

public ReportLogger(LayerControl control, Level level)
Constructs a logger with an explicit logging level.

Parameters:
  `control` - layer control on behalf of which reports will be dealt with
  `level` - logging level at which reports will be logged

### ReportLogger

public ReportLogger(LayerControl control)
Constructs a logger with a default logging level.

Parameters:
  `control` - layer control on behalf of which reports will be dealt with

## Method Details

### submitReports

public void submitReports(Map<LayerId,uk.ac.starlink.ttools.plot2.ReportMap> reports, uk.ac.starlink.ttools.plot2.Ganger<?,?> ganger)
Issues logging messages relating to the reports of plot layers generated with this object's layer control.

Parameters:
  `reports` - plot reports
  `ganger` - ganger in effect when these reports were generated